<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Home</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
          integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link href="../static/css/style.css" th:href="@{/css/style.css}" rel="stylesheet"/>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">

    <script>
        $(function () {
            $('[data-toggle="tooltip"]').tooltip()
        })
    </script>

</head>

<body>

<header class="background_gray" th:replace="header :: header"></header>

<div class="form-body">

    <form th:action="@{/userAdministration}" method="POST">

        <div>
            <input class="col-6" name="userName" type="text" placeholder="User suchen">
            <button class="btn btn-success col-1" type="submit">
                <i class="material-icons">
                    send
                </i>
            </button>
        </div>

    </form>
    <br>
    <br>


    <!--FIXME elements have to be top here-->
    <div class="container">
        <div class="row">
            <table class="table table-striped col-5 mt-0" >
                <thead>
                <tr>
                    <th scope="col"><h3>User</h3></th>
                    <th scope="col"></th>
                </tr>
                </thead>
                <tbody>
                <tr th:each="user: ${users}">
                    <td>
                        <b>
                            <div th:text="*{user.name}"></div>
                        </b>
                    </td>
                    <td>
                        <a class="btn btn-success" th:href="@{/makeAdministrator(id= ${user.id})}"
                           data-toggle="tooltip" data-placement="top" title="zum Admin machen">

                            <i class="material-icons">
                                person_add
                            </i>
                        </a>
                    </td>
                </tr>
                </tbody>
            </table>

            <div class="col-1"></div>

            <table class="table table-striped col-5 mt-0" >
                <thead>
                <tr>
                    <th scope="col"><h3>Administratoren</h3></th>
                    <th scope="col"></th>
                </tr>
                </thead>
                <tbody>
                <tr th:each="admin: ${admins}">
                    <td>
                        <b>
                            <div class="admins" th:text="*{admin.name}"></div>
                        </b>
                    </td>
                    <td>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>

</div>


<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
        integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"
        integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
        crossorigin="anonymous"></script>

</body>
</html>